org.apache.tamaya.event

## Class PropertyChangeSet

- java.lang.Object
- - org.apache.tamaya.event.PropertyChangeSet

- All Implemented Interfaces:
    Serializable

      public final class PropertyChangeSet
      extends Object
      implements Serializable

  Event that contains a set of changed keys of a `PropertySource`. Any values must be obtained by calling the `Configuration` due to security reasons. This event can be used by the `PropertySource` implementation to cleanup caches as needed. This class is immutable and thread-safe. To create instances use `PropertyChangeSetBuilder`.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getKeysAdded()` Get the keys added.
    `Collection<String>` | `getKeysRemoved()` Get the keys removed.
    `Collection<String>` | `getKeysUpdated()` Get the updated keys.
    `String` | `getPropertySourceName()` Get the underlying property provider/configuration.
    `long` | `getTimestamp()` Get the timestamp of this changeset.
    `boolean` | `isEmpty()` CHecks if the current change set does not contain any changes.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPropertySourceName

          public String getPropertySourceName()

      Get the underlying property provider/configuration.
      Returns:
        the underlying property provider/configuration, never null.

    - #### getTimestamp

          public long getTimestamp()

      Get the timestamp of this changeset. This allows to track, if a ChangeSet was already applied.
      Returns:
        the timestamp

    - #### getKeysAdded

          public Collection<String> getKeysAdded()

      Get the keys added.
      Returns:
        the added keys, never null.

    - #### getKeysRemoved

          public Collection<String> getKeysRemoved()

      Get the keys removed.
      Returns:
        the removed keys, never null.

    - #### getKeysUpdated

          public Collection<String> getKeysUpdated()

      Get the updated keys.
      Returns:
        the updated keys, never null.

    - #### isEmpty

          public boolean isEmpty()

      CHecks if the current change set does not contain any changes.
      Returns:
        tru, if the change set is empty.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.